# $Revision: 1.17 $, $Date: 2006/03/27 12:41:23 $
# TODO
# - segfaults on amd64:
#(gdb) bt
#0  0x00002aaaaad7d8f8 in Gtk::Widget::set_sensitive () from /usr/lib64/libgtkmm-2.4.so.1
#1  0x0000000000519abb in MQBookmarkBrowser::bookmark_select ()
#2  0x000000000051b0a3 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, MQBookmarkBrowser> >::operator() ()
#3  0x00000039dda36ffc in Glib::SignalProxyNormal::slot0_void_callback () from /usr/lib64/libglibmm-2.4.so.1
#4  0x000000333081a264 in g_cclosure_marshal_VOID__VOID () from /usr/lib64/libgobject-2.0.so.0
#5  0x000000333080a0f4 in g_closure_invoke () from /usr/lib64/libgobject-2.0.so.0
#6  0x0000003330819c97 in g_signal_emit_by_name () from /usr/lib64/libgobject-2.0.so.0
#7  0x0000003330818e38 in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0
#8  0x0000003330819103 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#9  0x0000003d4e7c0df3 in gtk_tree_selection_unselect_range () from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x0000003d4e7d3e62 in gtk_tree_view_set_model () from /usr/lib64/libgtk-x11-2.0.so.0
#11 0x00002aaaaad705bb in Gtk::TreeView::set_model () from /usr/lib64/libgtkmm-2.4.so.1
#12 0x000000000054db7b in MGBrowserList::set_store ()
#13 0x0000000000517796 in MQBookmarkBrowser::MQBookmarkBrowser ()
#14 0x0000000000512531 in MQBookmarks::MQBookmarks ()
#15 0x00000000004b5255 in MQMainWindow::MQMainWindow ()
#16 0x00000000004b57bf in MQMainWindow::create ()
#17 0x00000000004a2b9b in main ()
#
# - %{_datadir}/mysql-gui directory owned also my mysql-administrator.
# create separate package mysql-gui-common?
#
# - perl-XML-Parser dep maybe bogus, lazy to check now:
#   configure:	error: XML::Parser perl module is required for intltool
#   make[4]:Entering directory
#   `/home/builder/rpm/pld/BUILD/mysql-query-browser-1.1.18/mysql-query-browser/source/linux/gtksourceview'
#   make[4]:*** No targets specified and no makefile found.  Stop.
Summary:	A graphical MySQL query shell
Summary(pl):	Graficzna powoka do zapyta MySQL-a
Name:		mysql-query-browser
Version:	1.1.18
Release:	3
License:	GPL
Group:		Applications/Databases
Source0:	http://mysql.tonnikala.org/Downloads/MySQLAdministrationSuite/%{name}-%{version}.tar.gz
# Source0-md5:	bf9cae997cc6ac833e68dafff580c315
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-configure.patch
URL:		http://www.mysql.com/products/query-browser/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtkhtml-devel >= 3.6.0
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libglade2-devel >= 1:2.0.0
BuildRequires:	libgtkhtml-devel
BuildRequires:	mysql-devel
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Query Browser is a GUI tool for executing SQL queries. It will
display the result in a list where you can edit its contents and save.
It has several auxiliar features to facilitate work, such as query
"bookmarking", query history, syntax highlighting and online help.

It's part of the MySQL Developer Suite.

%description -l pl
MySQL Query Browser to narzdzie z graficznym interfejsem do
wykonywania zapyta SQL. Wywietla wyniki w postaci listy, gdzie mona
modyfikowa jej zawarto i zapisywa. Ma kilka dodatkowych moliwoci
uatwiajcych prac, takie jak "zakadki" dla zapyta, histori
zapyta, podwietlanie skadni i pomoc podrczn.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export PKG_CONFIG=pkg-config
# first we have to build the common libs
cd mysql-gui-common
install /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gtkhtml=libgtkhtml-3.8 \
	--with-commondirname=query-browser
%{__make}

# then the app itself
cd ../%{name}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gtkhtml=libgtkhtml-3.8 \
	--with-commondirname=query-browser
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C mysql-gui-common install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C %{name} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/mysql-gui/doc/query-browser
cp -a mysql-query-browser/doc/* $RPM_BUILD_ROOT%{_datadir}/mysql-gui/doc/query-browser

%find_lang mysql-gui-common
%find_lang %{name}
cat mysql-gui-common.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysql-query-browser
%attr(755,root,root) %{_bindir}/mysql-query-browser-bin
%{_desktopdir}/*.desktop
%{_datadir}/mysql-gui/*.png

%dir %{_datadir}/mysql-gui
%dir %{_datadir}/mysql-gui/query-browser
%{_datadir}/mysql-gui/query-browser/*

# duplicate with mysql-administrator?
%dir %{_datadir}/mysql-gui/doc
%dir %{_datadir}/mysql-gui/doc/query-browser
%{_datadir}/mysql-gui/doc/query-browser/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql-query-browser.spec,v $
Revision 1.17  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.16  2006/02/15 21:01:28  qboosh
- automake already copies config.*

Revision 1.15  2006/02/15 21:00:52  qboosh
- BR: autoconf

Revision 1.14  2006/02/15 20:10:03  glen
- segfaults on amd64 (as well did 1.1.14 version)

Revision 1.13  2006/02/15 20:04:24  glen
- build fixes for my builder

Revision 1.12  2006/02/15 16:29:10  arekm
- updated to 1.1.18

Revision 1.11  2005/10/28 07:44:20  arekm
- rel 2

Revision 1.10  2005/10/10 08:05:36  qboosh
- cosmetic

Revision 1.9  2005/10/09 12:47:33  arekm
- up to 1.1.14

Revision 1.8  2005/10/03 14:28:22  qboosh
- sorted BRs

Revision 1.7  2005/10/02 10:51:49  glen
- BR: libgtkhtml-devel

Revision 1.6  2005/09/18 21:56:31  prism
- 1.1.12
- using libgtkhtml-3.8
- desktop fixes

Revision 1.5  2005/07/05 17:57:33  darekr
- use %{_desktopdir} macro

Revision 1.4  2005/05/14 22:15:49  arekm
- rel 1

Revision 1.3  2005/05/14 21:53:20  arekm
- add BuildRequires:  gtkhtml-devel >= 3.6.0

Revision 1.2  2005/04/29 17:32:41  qboosh
- pl

Revision 1.1  2005/04/29 09:20:33  glen
- new; based on mysql-administrator and bundled .spec
